import greenfoot.*;
public class Fade extends Actor
{
    private int fadeIn; //2=in erstes Mal, 1=in, -1=out wegen Tod, -2=out wegen fertig
    //private boolean started;
    
    
    public Fade(int fade)
    {
        fadeIn = fade;
        //started = fadeIn!=2;
        GreenfootImage img = new GreenfootImage(28*8*Welt.sizeFactor, 36*8*Welt.sizeFactor);
        img.setColor(new Color(0, 0, 0, 255));
        img.fill();
        img.setTransparency(fade>0 ? 255 : 0);
        setImage(img);
    }
    
    
    public void act()
    {
        /*if (!started)
        {
            if (Greenfoot.mousePressed(this)) started = true;
            return;
        }*/
        
        int t = getImage().getTransparency();
        t -= Math.signum(fadeIn)*2;
        if (t>255 || t<0)
        {
            Welt welt = (Welt) getWorld();
            welt.fadeWeg(fadeIn);
            welt.removeObject(this);
        }
        else getImage().setTransparency(t);
    }
}